#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sessionwidgetbase.ui'
**
** Created: 2012-06-17T17:19:28
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sessionwidgetbase.h"

#include <qvariant.h>
#include <klshistorycombo.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qtoolbutton.h>
#include <qlabel.h>
#include <kpushbutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlineedit.h>
#include <kprogress.h>
#include <ksqueezedtextlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "treeview.h"
#include "resultssearchbar.h"

/*
 *  Constructs a SessionWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SessionWidgetBase::SessionWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SessionWidgetBase" );
    setTqminimumSize( QSize( 0, 300 ) );
    setBaseSize( QSize( 1000, 500 ) );
    SessionWidgetBaseLayout = new QVBoxLayout( this, 11, 6, "SessionWidgetBaseLayout"); 

    buttongroup_search = new QButtonGroup( this, "buttongroup_search" );
    buttongroup_search->setColumnLayout(0, Qt::Vertical );
    buttongroup_search->layout()->setSpacing( 6 );
    buttongroup_search->layout()->setMargin( 11 );
    buttongroup_searchLayout = new QVBoxLayout( buttongroup_search->layout() );
    buttongroup_searchLayout->setAlignment( Qt::AlignTop );

    tqlayout15 = new QHBoxLayout( 0, 0, 6, "tqlayout15"); 

    tqlayout14 = new QVBoxLayout( 0, 0, 6, "tqlayout14"); 

    tqlayout13 = new QHBoxLayout( 0, 0, 6, "tqlayout13"); 

    toolButton_clear_combo = new QToolButton( buttongroup_search, "toolButton_clear_combo" );
    toolButton_clear_combo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, toolButton_clear_combo->sizePolicy().hasHeightForWidth() ) );
    toolButton_clear_combo->setTqminimumSize( QSize( 25, 25 ) );
    toolButton_clear_combo->setTqmaximumSize( QSize( 25, 25 ) );
    toolButton_clear_combo->setAutoRaise( TRUE );
    tqlayout13->addWidget( toolButton_clear_combo );

    textlabel_url = new QLabel( buttongroup_search, "textlabel_url" );
    textlabel_url->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, textlabel_url->sizePolicy().hasHeightForWidth() ) );
    textlabel_url->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    tqlayout13->addWidget( textlabel_url );

    combobox_url = new KLSHistoryCombo( buttongroup_search, "combobox_url" );
    combobox_url->setFocusPolicy( KLSHistoryCombo::StrongFocus );
    combobox_url->setAcceptDrops( FALSE );
    tqlayout13->addWidget( combobox_url );

    pushbutton_url = new KPushButton( buttongroup_search, "pushbutton_url" );
    pushbutton_url->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)1, 0, 0, pushbutton_url->sizePolicy().hasHeightForWidth() ) );
    tqlayout13->addWidget( pushbutton_url );
    Spacer11 = new QSpacerItem( 0, 0, QSizePolicy::Maximum, QSizePolicy::Minimum );
    tqlayout13->addItem( Spacer11 );
    tqlayout14->addLayout( tqlayout13 );

    tqlayout10 = new QHBoxLayout( 0, 0, 6, "tqlayout10"); 

    checkbox_recursively = new QCheckBox( buttongroup_search, "checkbox_recursively" );
    checkbox_recursively->setChecked( TRUE );
    tqlayout10->addWidget( checkbox_recursively );

    spinbox_depth = new QSpinBox( buttongroup_search, "spinbox_depth" );
    spinbox_depth->setEnabled( TRUE );
    spinbox_depth->setMaxValue( 15 );
    spinbox_depth->setMinValue( 0 );
    spinbox_depth->setValue( 0 );
    tqlayout10->addWidget( spinbox_depth );

    checkbox_subdirs_only = new QCheckBox( buttongroup_search, "checkbox_subdirs_only" );
    checkbox_subdirs_only->setEnabled( TRUE );
    tqlayout10->addWidget( checkbox_subdirs_only );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout10->addItem( spacer4 );
    tqlayout14->addLayout( tqlayout10 );

    tqlayout11 = new QHBoxLayout( 0, 0, 6, "tqlayout11"); 

    checkbox_external_links = new QCheckBox( buttongroup_search, "checkbox_external_links" );
    checkbox_external_links->setEnabled( TRUE );
    checkbox_external_links->setChecked( TRUE );
    tqlayout11->addWidget( checkbox_external_links );
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    tqlayout11->addItem( spacer5 );
    tqlayout14->addLayout( tqlayout11 );

    tqlayout11_2 = new QHBoxLayout( 0, 0, 6, "tqlayout11_2"); 

    textLabel1 = new QLabel( buttongroup_search, "textLabel1" );
    tqlayout11_2->addWidget( textLabel1 );

    lineedit_reg_exp = new QLineEdit( buttongroup_search, "lineedit_reg_exp" );
    tqlayout11_2->addWidget( lineedit_reg_exp );
    spacer5_2 = new QSpacerItem( 0, 0, QSizePolicy::Maximum, QSizePolicy::Minimum );
    tqlayout11_2->addItem( spacer5_2 );
    tqlayout14->addLayout( tqlayout11_2 );
    tqlayout15->addLayout( tqlayout14 );
    buttongroup_searchLayout->addLayout( tqlayout15 );
    SessionWidgetBaseLayout->addWidget( buttongroup_search );

    resultsSearchBar = new ResultsSearchBar( this, "resultsSearchBar" );
    resultsSearchBar->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, resultsSearchBar->sizePolicy().hasHeightForWidth() ) );
    SessionWidgetBaseLayout->addWidget( resultsSearchBar );

    tree_view = new TreeView( this, "tree_view" );
    tree_view->setTqminimumSize( QSize( 0, 300 ) );
    SessionWidgetBaseLayout->addWidget( tree_view );

    tqlayout10_2 = new QHBoxLayout( 0, 0, 6, "tqlayout10_2"); 

    textlabel_progressbar = new QLabel( this, "textlabel_progressbar" );
    textlabel_progressbar->setTqminimumSize( QSize( 94, 0 ) );
    tqlayout10_2->addWidget( textlabel_progressbar );

    progressbar_checker = new KProgress( this, "progressbar_checker" );
    progressbar_checker->setTotalSteps( 1 );
    progressbar_checker->setProgress( 0 );
    progressbar_checker->setPercentageVisible( FALSE );
    tqlayout10_2->addWidget( progressbar_checker );
    SessionWidgetBaseLayout->addLayout( tqlayout10_2 );

    tqlayout11_3 = new QHBoxLayout( 0, 0, 6, "tqlayout11_3"); 

    textlabel_status = new KSqueezedTextLabel( this, "textlabel_status" );
    textlabel_status->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, textlabel_status->sizePolicy().hasHeightForWidth() ) );
    textlabel_status->setTqmaximumSize( QSize( 470, 32767 ) );
    tqlayout11_3->addWidget( textlabel_status );
    spacer5_2_3 = new QSpacerItem( 0, 0, QSizePolicy::Preferred, QSizePolicy::Minimum );
    tqlayout11_3->addItem( spacer5_2_3 );

    tqlayout12_2 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout12_2"); 

    textlabel_elapsed_time = new QLabel( this, "textlabel_elapsed_time" );
    textlabel_elapsed_time->setEnabled( FALSE );
    textlabel_elapsed_time->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, textlabel_elapsed_time->sizePolicy().hasHeightForWidth() ) );

    tqlayout12_2->addWidget( textlabel_elapsed_time, 1, 0 );

    textlabel_elapsed_time_value = new QLabel( this, "textlabel_elapsed_time_value" );
    textlabel_elapsed_time_value->setEnabled( TRUE );
    textlabel_elapsed_time_value->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, textlabel_elapsed_time_value->sizePolicy().hasHeightForWidth() ) );
    textlabel_elapsed_time_value->setTqminimumSize( QSize( 80, 0 ) );

    tqlayout12_2->addWidget( textlabel_elapsed_time_value, 1, 1 );
    tqlayout11_3->addLayout( tqlayout12_2 );
    SessionWidgetBaseLayout->addLayout( tqlayout11_3 );
    languageChange();
    resize( QSize(689, 683).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( checkbox_recursively, SIGNAL( toggled(bool) ), spinbox_depth, SLOT( setEnabled(bool) ) );
    connect( checkbox_recursively, SIGNAL( toggled(bool) ), checkbox_external_links, SLOT( setEnabled(bool) ) );
    connect( checkbox_recursively, SIGNAL( toggled(bool) ), checkbox_subdirs_only, SLOT( setEnabled(bool) ) );
    connect( toolButton_clear_combo, SIGNAL( clicked() ), this, SLOT( slotClearComboUrl() ) );

    // tab order
    setTabOrder( combobox_url, checkbox_recursively );
    setTabOrder( checkbox_recursively, spinbox_depth );
    setTabOrder( spinbox_depth, checkbox_subdirs_only );
    setTabOrder( checkbox_subdirs_only, checkbox_external_links );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SessionWidgetBase::~SessionWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SessionWidgetBase::languageChange()
{
    buttongroup_search->setTitle( tr2i18n( "Search" ) );
    toolButton_clear_combo->setText( QString::null );
    textlabel_url->setText( tr2i18n( "URL: " ) );
    pushbutton_url->setText( QString::null );
    checkbox_recursively->setText( tr2i18n( "Recursivel&y:" ) );
    QToolTip::add( checkbox_recursively, tr2i18n( "Check pages recursively" ) );
    spinbox_depth->setSpecialValueText( tr2i18n( "Unlimited" ) );
    QToolTip::add( spinbox_depth, QString::null );
    checkbox_subdirs_only->setText( tr2i18n( "Do &not check parent folders" ) );
    checkbox_external_links->setText( tr2i18n( "Chec&k external links" ) );
    textLabel1->setText( tr2i18n( "Do not check regular expression:" ) );
    textlabel_progressbar->setText( tr2i18n( "Ready" ) );
    textlabel_status->setText( QString::null );
    textlabel_elapsed_time->setText( tr2i18n( "Elapsed time:" ) );
    QToolTip::add( textlabel_elapsed_time, tr2i18n( "hh:mm:ss.zzz" ) );
    textlabel_elapsed_time_value->setText( QString::null );
    QToolTip::add( textlabel_elapsed_time_value, tr2i18n( "hh:mm:ss.zzz" ) );
}

#include "sessionwidgetbase.moc"
